Summary:  A graphics library for fast image creation
Name: gd
Version: 2.0.33
Release: 10tr
License: GPL
URL: http://www.boutell.com/gd/
Source:  http://www.boutell.com/gd/http/gd-%{version}.tar.gz
Patch1: gd-2.0.33-CAN-2004-0941.patch
Patch2:	gd-2.0.33-security.patch
Patch3: gd-2.0.33-CVE-2006-2906.patch
Patch4: gd-2.0.33-CVE-2007-0455.patch
Patch5: gd-2.0.33-CVE-2007-2756.patch
Patch6: gd-2.0.33_CVE-2007-3472.patch
#Patch7: gd-2.0.33_CVE-2007-3473.patch
Patch8: gd-2.0.33_CVE-2007-3474.patch
Patch9: gd-2.0.33_CVE-2007-3475.patch
Patch10: gd-2.0.33_CVE-2007-3476.patch
Patch11: gd-2.0.33_CVE-2007-3477.patch
Patch12: gd-2.0.33_CVE-2007-3478.patch

Group: Trustix Official
Obsoletes: libgd
Provides: libgd.so libgd
Requires: libjpeg, libpng, zlib, freetype
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel, freetype-devel
Buildroot: %{_tmppath}/%{name}-root

%description
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a PNG or
JPEG file. This is particularly useful in World Wide Web applications,
where PNG and JPEG are two of the formats accepted for inline images
by most browsers.
 
This package contains just the libraries. 


%package devel
Summary: Development files for the GD library
Group: Trustix Official
Obsoletes: libgd-devel
Provides: libgd-devel
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and a static library needed for 
developing GD based programs.


%package utils
Summary: Sample programms using the GD library
Group: Trustix Official
Requires: %{name} >= %{version}-%{release}

%description utils
This package contains sample programs using the GD library.


%prep
%setup -q -n gd-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1
#%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
#aclocal && autoconf && automake
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS -lz -lm" \
%configure --disable-rpath \
           --without-x
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%{_libdir}/libgd.so.*


%files devel
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/libgd.a
%{_libdir}/libgd.la
%{_libdir}/libgd.so


%files utils
%defattr(-,root,root,0755)
%{_bindir}/*

%changelog
* Wed Aug 08 2007 Nived Gopalan <nived at trustix dot org> 2.0.33-10tr
- SECURITY Fix: Some vulnerabilities have been reported in the GD
  Graphics Library, where some have unknown impact and others can
  potentially be exploited to cause a DoS (SA25855).
  Includes fixes for CVE-2007-3472 to CVE-2007-3478

* Thu May 24 2007 Nived Gopalan <nived at trustix dot org> 2.0.33-9tr
- SECURITY Fix: Xavier Roche has reported a vulnerability in GD
  Graphics Library caused due to the incorrect use of libpng within
  the function "gdPngReadData()" when processing truncated data.
  This can be exploited to cause an infinite loop by e.g. tricking
  an application using the library to process a specially crafted file.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2007-2756 to this issue.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Feb 07 2007 Bipin S <Bipin at trustix dot org> 2.0.33-7tr
- SECURITY Fix: Buffer overflow in the gdImageStringFTEx function
  in gdft.c in GD Graphics Library allows remote attackers to cause
  a denial of service (application crash) and possibly execute
  arbitrary code via a crafted string with a JIS encoded font.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2007-0455 to this issue.

* Thu Jun 29 2006 Nived Gopalan <nived at trustix dot org> 2.0.33-6tr
- SECURITY Fix: Xavier Roche has discovered a vulnerability in the GD 
  Graphics Library, caused due to an infinite loop error within the 
  handling of GIF images. This can be exploited to consume a large 
  amount of CPU resources when the "gdImageCreateFromGifPtr()" function
  is used with a specially crafted GIF image.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-2906 to this issue.

* Wed Mar 16 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.0.33-4tr
- Add security patch

* Fri Nov 12 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.33-3tr
- Add patch for CAN-2004-0941.
  Patch provided by Stew Benedict <sbenedict at mandrakesoft dot com>

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.33-2tr
- Now require freeype as opposed to libfreetype.

* Thu Nov  4 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.33-1tr
- New upstream.  Fixes security holes.

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.0.26-2tr
- New upstream

* Mon Aug  9 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.22-2tr
- Rebuild for Enterprise Server 2

* Mon Apr 19 2004 Goetz Bock <gbo at all-connect dot net> 2.0.22-1bg
- new upstream: 2.0.22 and 2.0.21gif_040120
- merged this versiones
- don't link with the x libraries

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sat Oct 25 2003 Goetz Bock <bg at tawie dot org> 2.0.15-3bg
- switched to inofficial version with gif support
- this needs more auto tools

* Sun Oct 12 2003 Goetz Bock <bg at tawie dot org> 2.0.15-2bg
- added libfreetype support

* Sat Oct 11 2003 Goetz Bock <bg at tawie dot org> 2.0.15-1bg
- new upstream: 2.0.15
- removed freetype
- build for Cloud (Tawie 2.0) - Contrib

* Wed Apr 10 2002 Goetz Bock <bock at blacknet dot de> 2.0.1-0bn
- initial build for Trustix BlackNet Edition
